GNU bug report logs - #17836
24.3; `describe-fontset' confused about e.g. ?\C-@

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Samuel Bronson <naesten@HIDDEN>; dated Mon, 23 Jun 2014 01:58:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17836 <at> debbugs.gnu.org:


Received: (at 17836) by debbugs.gnu.org; 23 Jun 2014 16:40:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 12:40:04 2014
Received: from localhost ([127.0.0.1]:58428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz7Hj-0003A0-AO
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:40:04 -0400
Received: from mtaout24.012.net.il ([80.179.55.180]:56133)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wz7Hd-00039d-7u
 for 17836 <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:39:58 -0400
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0N7M00E00R56FA00@HIDDEN> for
 17836 <at> debbugs.gnu.org; Mon, 23 Jun 2014 19:35:48 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7M007BGRFOH580@HIDDEN>; Mon, 23 Jun 2014 19:35:48 +0300 (IDT)
Date: Mon, 23 Jun 2014 19:39:43 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17836: 24.3; `describe-fontset' confused about e.g. ?\C-@
In-reply-to: <83a993sirm.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: naesten@HIDDEN
Message-id: <8361jrshps.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87vbrsfkwc.fsf@HIDDEN> <83a993sirm.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17836
Cc: 17836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 23 Jun 2014 19:17:01 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 17836 <at> debbugs.gnu.org
> 
> > From: Samuel Bronson <naesten@HIDDEN>
> > Date: Sun, 22 Jun 2014 21:57:07 -0400
> > 
> > Fontset: -misc-fixed-medium-r-semicondensed--13-*-*-*-*-*-fontset-xterm.default
> > CHAR RANGE (CODE RANGE)
> >     FONT NAME (REQUESTED and [OPENED])
> > C-@ .. 􏿿 (#x43 .. #x10FFFF)
> >     -Misc-Fixed-medium-r-semicondensed--13-*-75-75-c-120-ISO10646-1
> > --8<---------------cut here---------------end--------------->8---
> > 
> > Notice how #x43 is NOT a representation of `?\C-@' but, in fact, of
> > `?C'?
> 
> That's because print-fontset-element does this:
> 
>   (beginning-of-line)
>   (let ((from (following-char))
> 
> IOW, it assumes that there's a single character there, not a
> human-readable description of a character, such as "C-@".
> 
> How about submitting a patch that uses 'kbd', say?

Or maybe describe-vector should accept 2 more arguments and pass it to
print-fontset-element.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17836; Package emacs. Full text available.

Message received at 17836 <at> debbugs.gnu.org:


Received: (at 17836) by debbugs.gnu.org; 23 Jun 2014 16:17:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 12:17:16 2014
Received: from localhost ([127.0.0.1]:58412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz6vk-0002Rb-20
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:17:16 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:64954)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wz6vh-0002RE-4x
 for 17836 <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:17:14 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N7M00I00Q7EHH00@HIDDEN> for 17836 <at> debbugs.gnu.org;
 Mon, 23 Jun 2014 19:17:06 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7M00I3YQKHD290@HIDDEN>;
 Mon, 23 Jun 2014 19:17:06 +0300 (IDT)
Date: Mon, 23 Jun 2014 19:17:01 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17836: 24.3; `describe-fontset' confused about e.g. ?\C-@
In-reply-to: <87vbrsfkwc.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Samuel Bronson <naesten@HIDDEN>
Message-id: <83a993sirm.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87vbrsfkwc.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17836
Cc: 17836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Samuel Bronson <naesten@HIDDEN>
> Date: Sun, 22 Jun 2014 21:57:07 -0400
> 
> Fontset: -misc-fixed-medium-r-semicondensed--13-*-*-*-*-*-fontset-xterm.default
> CHAR RANGE (CODE RANGE)
>     FONT NAME (REQUESTED and [OPENED])
> C-@ .. 􏿿 (#x43 .. #x10FFFF)
>     -Misc-Fixed-medium-r-semicondensed--13-*-75-75-c-120-ISO10646-1
> --8<---------------cut here---------------end--------------->8---
> 
> Notice how #x43 is NOT a representation of `?\C-@' but, in fact, of
> `?C'?

That's because print-fontset-element does this:

  (beginning-of-line)
  (let ((from (following-char))

IOW, it assumes that there's a single character there, not a
human-readable description of a character, such as "C-@".

How about submitting a patch that uses 'kbd', say?

> Why would you try to extract the codepoints AFTER formatting the
> range as a string ...?

Because the formatting of the codepoints is done by describe-vector,
which doesn't pass the codepoints to print-fontset-element.  So it
needs to reverse-engineer the codepoints from the text that was
already inserted into the buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17836; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2014 01:57:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 22 21:57:31 2014
Received: from localhost ([127.0.0.1]:57484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WytVh-00035z-VU
	for submit <at> debbugs.gnu.org; Sun, 22 Jun 2014 21:57:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39802)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <naesten@HIDDEN>) id 1WytVf-00035f-7a
 for submit <at> debbugs.gnu.org; Sun, 22 Jun 2014 21:57:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <naesten@HIDDEN>) id 1WytVX-0002YN-Ni
 for submit <at> debbugs.gnu.org; Sun, 22 Jun 2014 21:57:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41585)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <naesten@HIDDEN>) id 1WytVX-0002YJ-LK
 for submit <at> debbugs.gnu.org; Sun, 22 Jun 2014 21:57:19 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41515)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <naesten@HIDDEN>) id 1WytVV-0004YV-8f
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jun 2014 21:57:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <naesten@HIDDEN>) id 1WytVS-0002Xi-Ru
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jun 2014 21:57:17 -0400
Received: from mail-qg0-x234.google.com ([2607:f8b0:400d:c04::234]:57521)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <naesten@HIDDEN>) id 1WytVS-0002Xa-Kk
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jun 2014 21:57:14 -0400
Received: by mail-qg0-f52.google.com with SMTP id f51so5287470qge.25
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Jun 2014 18:57:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=UQxLlSvXr4NWx8GEII+g/b6gpG4EAFEIgWgyQSDetcY=;
 b=0CbWpv9aPJkctcK9aIZgZ3DMLJG/yp8fQ7ZySGMybTmFFwkerkHtn4qzCXG+gZbIrf
 KiKRuxme+7VHiZxMQNJdmCz7uYUrKOgnt6jDkr+uGU841FP5+Kfbrb8J67yCV62bCo59
 Ro/Vd/RymmDoCBp9WHzWG7+fgay6J/u1ZFH6FOmxhqiEg9kO8lyfSyjv44hezjFtHmGn
 SZ+9v4zmwSFPxWgsxau+jXsy7UeCJHM8rkpF502PhtOzm+FSNtxsjjPjYcrIckfLa4fY
 /Z+/8Dnunob47UjJBglhJS1yXOoHIxz444dtcdiqBDv5GzESVBdG53F1D6as/amfiNgU
 K6sw==
X-Received: by 10.140.83.209 with SMTP id j75mr26669518qgd.42.1403488633424;
 Sun, 22 Jun 2014 18:57:13 -0700 (PDT)
Received: from hydrogen (naesten-pt.tunnel.tserv4.nyc4.ipv6.he.net.
 [2001:470:1f06:57::2])
 by mx.google.com with ESMTPSA id z14sm10759716qaw.7.2014.06.22.18.57.11
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 22 Jun 2014 18:57:12 -0700 (PDT)
Received: from naesten by hydrogen with local (Exim 4.82)
 (envelope-from <naesten@HIDDEN>) id 1WytVM-0008UC-AX
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jun 2014 21:57:08 -0400
From: Samuel Bronson <naesten@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; `describe-fontset' confused about e.g. ?\C-@
Date: Sun, 22 Jun 2014 21:57:07 -0400
Message-ID: <87vbrsfkwc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

When I use `describe-fontset', I get output that starts out something
like:

--8<---------------cut here---------------start------------->8---
Fontset: -misc-fixed-medium-r-semicondensed--13-*-*-*-*-*-fontset-xterm.def=
ault
CHAR RANGE (CODE RANGE)
    FONT NAME (REQUESTED and [OPENED])
C-@ .. =F4=8F=BF=BF (#x43 .. #x10FFFF)
    -Misc-Fixed-medium-r-semicondensed--13-*-75-75-c-120-ISO10646-1
--8<---------------cut here---------------end--------------->8---

Notice how #x43 is NOT a representation of `?\C-@' but, in fact, of
`?C'?  That's fairly strange bug.  (Why would you try to extract the
codepoints AFTER formatting the range as a string ...?)

(I also get an assload of xlfd descriptors full of asterisks and dashes,
with different registry-coding pairs...)

In GNU Emacs 24.3.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-05-16 on babin, modified by Debian
Windowing system distributor `Colin Harrison', version 11.0.60900031
System Description:	Debian GNU/Linux testing (jessie)

Configured using:
 `configure '--build' 'i486-linux-gnu' '--build' 'i486-linux-gnu'
 '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib'
 '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
 '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
 '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/2=
4.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-l=
isp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/i386-linux-gnu' '--with-x=3Dyes'
 '--with-x-toolkit=3Dlucid' '--with-toolkit-scroll-bars' '--without-gconf'
 '--without-gsettings' 'build_alias=3Di486-linux-gnu' 'CFLAGS=3D-g -O2
 -fstack-protector --param=3Dssp-buffer-size=3D4 -Wformat
 -Werror=3Dformat-security -Wall' 'LDFLAGS=3D-Wl,-z,relro'
 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or semantic-highlight-edits-mod=
e semantic-show-unmatched-syntax-mode)  S)))
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  xterm-mouse-mode: t
  show-paren-mode: t
  recentf-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <down-mouse-1> <mouse-1> <down-mouse-1>=20
<mouse-1> <down-mouse-1> <mouse-1> <left> <left> M-x=20
<up> <up> <up> <down> <down> <down> <down> C-h =3D C-h=20
? <next> <prior> <next> <prior> <up> <up> <up> <up>=20
<up> <up> <up> <up> <up> <up> <up> <up> q C-x b C-g=20
M-x <up> <up> <down> <return> <up> <return> <down>=20
C-x o <down> <down> <down> M-x d e s c <tab> c h <tab>=20
<return> <C-home> <down> <down> <down> <down> <down>=20
<down> <down> <down> <down> <end> <up> <up> <up> <down>=20
<end> <down> <down> <up> <up> <up> <up> <up> <up> <up>=20
<up> <up> <down> <down> <down> <down> <down> <up> <up>=20
<up> <up> <up> <up> <down> <down> <down> <up> <up>=20
<mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <help-echo>=20
<down-mouse-1> <mouse-1> C-x b <return> C-x b <return>=20
C-g <C-home> <C-end> <C-home> q <up> <up> <up> <up>=20
<up> <end> <next> <next> <next> <C-end> M-x b <backspace>=20
C-g <C-home> <C-end> <C-home> <C-end> <C-home> <C-end>=20
M-x l i s t - c h a r <tab> s e t <tab> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> a c <tab> <return>=20
<down> <down> <down> C-x o C-x o C-h f C-g M-x M-l=20
i s t - f o <home> l <end> f <backspace> n t <tab>=20
<return> C-x o <down> <down> <down> <end> <up> <up>=20
<end> <down> <end> <down> <end> <up> <up> <end> <down>=20
<down> <up> <up> <up> <up> <end> <down> <end> <up>=20
<end> <end> <down> <end> <up> <home> <end> <down> <end>=20
M-x <up> <up> <up> <up> <return> <up> <return> <down>=20
<down> <down> <down> <down> <up> <up> <end> <down>=20
<down> <down> <down> <next> <next> <next> <C-end> <C-home>=20
<down> <down> <down> <up> <up> <up> <up> <down> <down>=20
<down> <up> <up> <up> <up> <up> <S-down> <S-down> <S-down>=20
<S-down> <S-down> M-w M-x e m a c s - b u g <tab> <home>=20
r e p <tab> <backspace> <tab> <return>

Recent messages:
scroll-up-command: End of buffer [2 times]
Mark set
Quit
Mark set [6 times]
Making completion list...
byte-code: End of buffer [3 times]
Quit
Mark set [2 times]
byte-code: Beginning of buffer [3 times]
Mark set
0

Load-path shadows:
/home/naesten/system/emacs/dist/elpa/w3-4.0.49/ssl hides /usr/share/emacs24=
/site-lisp/wl/ssl
/usr/share/emacs24/site-lisp/css-mode/css-mode hides /usr/share/emacs/site-=
lisp/css-mode/css-mode
/usr/share/emacs/site-lisp/autoconf/autotest-mode hides /usr/share/emacs/si=
te-lisp/autotest-mode
/usr/share/emacs24/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/s=
ite-lisp/cmake-mode
/usr/share/emacs24/site-lisp/flim/md4 hides /usr/share/emacs/24.3/lisp/md4
/home/naesten/system/emacs/dist/elisp/loaddefs hides /usr/share/emacs/24.3/=
lisp/loaddefs
/usr/share/emacs24/site-lisp/flim/hex-util hides /usr/share/emacs/24.3/lisp=
/hex-util
/home/naesten/system/emacs/dist/elpa/json-1.2/json hides /usr/share/emacs/2=
4.3/lisp/json
/home/naesten/system/emacs/dist/elisp/t-mouse hides /usr/share/emacs/24.3/l=
isp/t-mouse
/usr/share/emacs24/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/=
24.3/lisp/tempo
/usr/share/emacs24/site-lisp/css-mode/css-mode hides /usr/share/emacs/24.3/=
lisp/textmodes/css-mode
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.3/lisp/textmodes/r=
st
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/em=
acs/24.3/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/=
emacs/24.3/lisp/textmodes/flyspell
/usr/share/emacs24/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.3/l=
isp/net/sasl-digest
/usr/share/emacs24/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.3/lis=
p/net/sasl-cram
/usr/share/emacs24/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.3/lisp=
/net/hmac-md5
/usr/share/emacs24/site-lisp/flim/hmac-def hides /usr/share/emacs/24.3/lisp=
/net/hmac-def
/usr/share/emacs24/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.3/lis=
p/net/sasl-ntlm
/usr/share/emacs24/site-lisp/flim/ntlm hides /usr/share/emacs/24.3/lisp/net=
/ntlm
/usr/share/emacs24/site-lisp/flim/sasl hides /usr/share/emacs/24.3/lisp/net=
/sasl
/usr/share/emacs24/site-lisp/wl/rfc2368 hides /usr/share/emacs/24.3/lisp/ma=
il/rfc2368
/home/naesten/system/emacs/dist/elisp/package hides /usr/share/emacs/24.3/l=
isp/emacs-lisp/package
/home/naesten/system/emacs/dist/elpa/tabulated-list-0/tabulated-list hides =
/usr/share/emacs/24.3/lisp/emacs-lisp/tabulated-list
/usr/share/emacs24/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-l=
isp/auctex/toolbar-x
/usr/share/emacs24/site-lisp/auctex/tex-style hides /usr/share/emacs/site-l=
isp/auctex/tex-style
/usr/share/emacs24/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lis=
p/auctex/tex-bar
/usr/share/emacs24/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-li=
sp/auctex/tex-fold
/usr/share/emacs24/site-lisp/auctex/preview hides /usr/share/emacs/site-lis=
p/auctex/preview
/usr/share/emacs24/site-lisp/auctex/context hides /usr/share/emacs/site-lis=
p/auctex/context
/usr/share/emacs24/site-lisp/auctex/context-nl hides /usr/share/emacs/site-=
lisp/auctex/context-nl
/usr/share/emacs24/site-lisp/auctex/prv-emacs hides /usr/share/emacs/site-l=
isp/auctex/prv-emacs
/usr/share/emacs24/site-lisp/auctex/context-en hides /usr/share/emacs/site-=
lisp/auctex/context-en
/usr/share/emacs24/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp=
/auctex/tex-jp
/usr/share/emacs24/site-lisp/auctex/plain-tex hides /usr/share/emacs/site-l=
isp/auctex/plain-tex
/usr/share/emacs24/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-li=
sp/auctex/bib-cite
/usr/share/emacs24/site-lisp/auctex/tex-font hides /usr/share/emacs/site-li=
sp/auctex/tex-font
/usr/share/emacs24/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lis=
p/auctex/tex-mik
/usr/share/emacs24/site-lisp/auctex/font-latex hides /usr/share/emacs/site-=
lisp/auctex/font-latex
/usr/share/emacs24/site-lisp/auctex/texmathp hides /usr/share/emacs/site-li=
sp/auctex/texmathp
/usr/share/emacs24/site-lisp/auctex/tex-info hides /usr/share/emacs/site-li=
sp/auctex/tex-info
/usr/share/emacs24/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/=
auctex/latex
/usr/share/emacs24/site-lisp/auctex/multi-prompt hides /usr/share/emacs/sit=
e-lisp/auctex/multi-prompt
/usr/share/emacs24/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/au=
ctex/tex
/usr/share/emacs24/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lis=
p/auctex/tex-buf
/usr/share/emacs24/site-lisp/html-helper-mode/hhm-config hides /usr/share/e=
macs/site-lisp/html-helper-mode/hhm-config
/usr/share/emacs24/site-lisp/html-helper-mode/visual-basic-mode hides /usr/=
share/emacs/site-lisp/html-helper-mode/visual-basic-mode
/usr/share/emacs24/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/=
site-lisp/html-helper-mode/tempo
/usr/share/emacs24/site-lisp/html-helper-mode/html-helper-mode hides /usr/s=
hare/emacs/site-lisp/html-helper-mode/html-helper-mode
/usr/share/emacs24/site-lisp/mailcrypt/mc-toplev hides /usr/share/emacs/sit=
e-lisp/mailcrypt/mc-toplev
/usr/share/emacs24/site-lisp/mailcrypt/mc-remail hides /usr/share/emacs/sit=
e-lisp/mailcrypt/mc-remail
/usr/share/emacs24/site-lisp/mailcrypt/mc-pgp6 hides /usr/share/emacs/site-=
lisp/mailcrypt/mc-pgp6
/usr/share/emacs24/site-lisp/mailcrypt/mc-pgp5 hides /usr/share/emacs/site-=
lisp/mailcrypt/mc-pgp5
/usr/share/emacs24/site-lisp/mailcrypt/mc-pgp hides /usr/share/emacs/site-l=
isp/mailcrypt/mc-pgp
/usr/share/emacs24/site-lisp/mailcrypt/mc-gpg hides /usr/share/emacs/site-l=
isp/mailcrypt/mc-gpg
/usr/share/emacs24/site-lisp/mailcrypt/mailcrypt hides /usr/share/emacs/sit=
e-lisp/mailcrypt/mailcrypt
/usr/share/emacs24/site-lisp/mailcrypt/expect hides /usr/share/emacs/site-l=
isp/mailcrypt/expect
/usr/share/emacs24/site-lisp/mailcrypt/mc-setversion hides /usr/share/emacs=
/site-lisp/mailcrypt/mc-setversion
/usr/share/emacs24/site-lisp/psgml/psgml-edit hides /usr/share/emacs/site-l=
isp/psgml/psgml-edit
/usr/share/emacs24/site-lisp/psgml/psgml-charent hides /usr/share/emacs/sit=
e-lisp/psgml/psgml-charent
/usr/share/emacs24/site-lisp/psgml/psgml hides /usr/share/emacs/site-lisp/p=
sgml/psgml
/usr/share/emacs24/site-lisp/psgml/psgml-other hides /usr/share/emacs/site-=
lisp/psgml/psgml-other
/usr/share/emacs24/site-lisp/psgml/psgml-api hides /usr/share/emacs/site-li=
sp/psgml/psgml-api
/usr/share/emacs24/site-lisp/psgml/psgml-sysdep hides /usr/share/emacs/site=
-lisp/psgml/psgml-sysdep
/usr/share/emacs24/site-lisp/psgml/psgml-init hides /usr/share/emacs/site-l=
isp/psgml/psgml-init
/usr/share/emacs24/site-lisp/psgml/psgml-parse hides /usr/share/emacs/site-=
lisp/psgml/psgml-parse
/usr/share/emacs24/site-lisp/psgml/psgml-info hides /usr/share/emacs/site-l=
isp/psgml/psgml-info
/usr/share/emacs24/site-lisp/psgml/psgml-ids hides /usr/share/emacs/site-li=
sp/psgml/psgml-ids
/usr/share/emacs24/site-lisp/psgml/psgml-dtd hides /usr/share/emacs/site-li=
sp/psgml/psgml-dtd
/usr/share/emacs/24.3/lisp/gnus/.dir-locals hides /home/naesten/system/emac=
s/dist/elisp/magit/.dir-locals

Features:
(thai-util thai-word files-x boxquote eldoc mule-diag noutline outline
checkdoc elint canlock mo-git-blame vc-annotate autorevert log4j-mode
gnus-html vcard-autoloads bbdb-w3 vc-bzr vc-sccs vc-svn vc-cvs vc-rcs
gitignore-mode gitconfig-mode-autoloads gitignore-mode-autoloads
mu-register mu-cite alist std11 pcustom poem poem-e20 poem-e20_3 pces
pces-e20 pces-20 broken poe pym static apel-ver product informat
footnote crm latex tex-style tex-info texinfo tex nndoc nnmairix nnml
nnir gnus-sync json gnus-sieve deuglify gnus-notifications gnus-fun
notifications dbus xml gnus-dup gnus-demon gnus-delay gnus-draft
gnus-bookmark time-stamp ede/generic semantic/db semantic/util-modes
semantic/util semantic semantic/tag semantic/lex semantic/fw mode-local
ede/shell eieio-opt find-dired locate ede/dired ede/emacs ede/cpp-root
ede/speedbar ede/files ede ede/base ede/auto ede/source eieio-speedbar
speedbar sb-image ezimage dframe eieio-custom cedet ebrowse ebuff-menu
autoconf autoconf-mode gnus-diary nndiary occur-x-autoloads package-x
descr-text shadow emacsbug tmm url-handlers nnweb mm-url nnregistry
html-mode jsp-html-helper-mode asp-html-helper-mode php-html-helper-mode
html-helper-mode w3m-form w3m-cookie w3m-bookmark w3m-tabmenu
w3m-session w3m doc-view image-mode w3m-hist w3m-fb bookmark-w3m w3m-ems
w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util gnus-cus conf-mode
python xmtn-dvc dvc-status xmtn-conflicts xmtn-ids xmtn-match
xmtn-automate xmtn-compat xmtn-run xmtn-basic-io xmtn-base sh-script
smie executable tramp-sh debian-control-mode debian-bts-control
debian-changelog-mode tramp-cache rx tramp tramp-compat tramp-loaddefs
shell pcomplete dpkg-dev-el-loaddefs ido find-file-in-git-repo dired-aux
loadhist autoload lisp-mnt url-http url-gw url-cache url-auth finder-inf
cperl-mode perl-mode tabify man make-mode debug gnus-salt gnus-kill
uudecode flow-fill spam-report mule-util gnus-async gnus-bcklg
gnus-topic nndraft nnmh nnfolder bbdb-gnus nnnil gnus-registry registry
eieio-base spam spam-stat gnus-uu yenc gnus-eform gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-ml netrc gnutls network-stream
starttls tls nntp gnus-cache psgml-info shr mm-archive psgml-dtd
psgml-parse psgml-api psgml-ids psgml-other psgml-sysdep psgml-edit
browse-url sgml-mode psgml psgml-html info cpp apropos face-remap
bbdb-hooks cc-langs inform-mode imenu term disp-table ehelp electric
ispell qp rmailmm rmail two-column iso-transl misearch multi-isearch
jka-compr parse-time smiley gnus-cite gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime dig gnus-sum nnoo gnus-group
gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int gnus-range
gnus-win gnus gnus-ems nnheader bbdb-snarf bbdb-com view magit-bisect
magit-key-mode magit mail-extr sort tla smerge-mode dvc-state dvc-config
diff tla-gnus dvc-gnus dvc-cmenu dvc-about dvc-version thingatpt
mailcrypt message sendmail format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev mail-utils gmm-utils
mailheader reporter help-mode debian-bug rfc2047 rfc2045 ietf-drums
vc-git xgit-dvc xgit cus-edit xgit-annotate rect dvc-annotate xgit-log
dvc-revlist dvc-diff uniquify dvc-fileinfo bzr-core tla-core pp
tla-autoconf tla-defs dvc-log dvc-unified dvc-tips dired-x dired ffap
commit-patch-buffer log-edit pcvs-util add-log vc vc-dispatcher
diff-mode easy-mmode ediff-merg ediff-diff ediff-wind ediff-help
ediff-util ediff-mult ediff-init ediff xdarcs-core xgit-core xhg-core
xmtn-minimal server derived xcscope arc-mode archive-mode asm-mode
my-asm slime-autoloads dvc-autoloads dvc-core dvc-lisp dvc-buffers
dvc-ui dvc-register dvc-utils dvc-emacs ewoc dvc-defs dvc-site cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs elisp-depend ps-print-bg-fixup bbdb timezone wgrep grep compile
comint ansi-color ring edebug warnings trace xt-mouse paren recentf
tree-widget wid-edit cus-start cus-load eldoc-eval-autoloads
elisp-cache-autoloads erc-hl-nicks-autoloads
fill-column-indicator-autoloads find-file-in-git-repo-autoloads
mo-git-blame-autoloads smartparens-autoloads dash-autoloads
synonyms-autoloads tabulated-list-autoloads w3-autoloads wgrep-autoloads
yagist-autoloads json-autoloads yasnippet-bundle-autoloads
yasnippet-bundle dropdown-list advice help-fns advice-preload yasnippet
easymenu assoc package find-func cl-macs gv w3m-load psgml-init
proof-site proof-autoloads pg-vars mmm-auto mmm-vars mmm-compat cl
cl-lib mailcrypt-init haskell-mode-autoloads edmacro kmacro tempo url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse auth-source eieio byte-opt bytecomp
byte-compile cconv gnus-util time-date mm-util mail-prsvr password-cache
url-vars mailcap xml-parse doxymacs debian-el debian-el-loaddefs
bbdb-autoloads preview-latex tex-site auto-loads tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
font-render-setting x-toolkit x multi-tty emacs)

--=20
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me sprea=
d!




Acknowledgement sent to Samuel Bronson <naesten@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17836; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.